// PR_14_13.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <iostream>
#include <conio.h>

using namespace std;
class prosta {
   public:

   prosta(int,int);
   prosta() {} //tu nowy konstruktor
   ~prosta();
   int podajX();
   int podajY();
   
   private:
   int x,y;
};
prosta::prosta(int a,int b) {
   x=a;y=b;
}
prosta::~prosta() {
   cout<<"Destruktor obiektu klasy prosta\n";
}


int prosta::podajX() {
   return x;
}

int prosta::podajY() {
   return y;
}



int _tmain(int argc, _TCHAR* argv[])
{
   prosta* wsk = new prosta(30,70);
   cout<<"Wartości pól: x="<<wsk->podajX()<<" y="<<wsk->podajY()<<"\n";
   delete wsk;

   prosta* wsk1 = new prosta();
   cout<<"Wartości pól: x="<<wsk1->podajX()<<" y="<<wsk1->podajY()<<"\n";
   getch();
   return 0;

}

